# Class MemoryEntry

java.lang.Object
com.google.adk.memory.MemoryEntry

public abstract class MemoryEntry extends Object
Represents one memory entry.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `MemoryEntry.Builder`
  Builder for `MemoryEntry`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MemoryEntry()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract @Nullable String`
  `author()`
  Returns the author of the memory, or null if not set.
  `static MemoryEntry.Builder`
  `builder()`
  Returns a new builder for creating a `MemoryEntry`.
  `abstract com.google.genai.types.Content`
  `content()`
  Returns the main content of the memory.
  `abstract @Nullable String`
  `timestamp()`
  Returns the timestamp when the original content of this memory happened, or null if not set.
  `abstract MemoryEntry.Builder`
  `toBuilder()`
  Creates a new builder with a copy of this entry's values.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MemoryEntry

    public MemoryEntry()

- ## Method Details

  - ### content

    public abstract com.google.genai.types.Content content()
    Returns the main content of the memory.

  - ### author

    public abstract @Nullable String author()
    Returns the author of the memory, or null if not set.

  - ### timestamp

    public abstract @Nullable String timestamp()
    Returns the timestamp when the original content of this memory happened, or null if not set.

    This string will be forwarded to LLM. Preferred format is ISO 8601 format

  - ### builder

    public static MemoryEntry.Builder builder()
    Returns a new builder for creating a `MemoryEntry`.

  - ### toBuilder

    public abstract MemoryEntry.Builder toBuilder()
    Creates a new builder with a copy of this entry's values.
    Returns:
      a new `MemoryEntry.Builder` instance.